.footer .footer__inner {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: 40px;
    margin: 0 var(--layout-inline-margin);
    position: relative;
    z-index: 1;
    margin-top: 60px;
    margin-bottom: 75px;
}

.footer .footer__address {
    font-size: 18px;
    letter-spacing: 0.18px;
    line-height: 28px;
}

.footer .footer__address p {
    margin-bottom: 20px;
}

.footer .footer__address > :first-child {
    margin-top: 0;
}

.footer .footer__address > :last-child {
    margin-bottom: 0;
}

.footer .footer__nav .menu {
    flex-direction: column;
    align-items: flex-end;
    text-align: right;
    font-size: 18px;
    letter-spacing: 0.18px;
    line-height: 28px;
}

@media (min-width: 768px) {
    .footer {
        position: relative;
        overflow: hidden;
        background: #FBF5F0;
    }

    .footer::before {
        content: '';
        position: absolute;
        top: 0;
        bottom: 0;
        right: calc(100% - 600px);
        width: calc(600px + 100vh);
        background: white;
        transform-origin: top right;
        transform: skewX(45deg);
    }
}

@media (max-width: 767px) {
    .footer {
        position: relative;
        overflow: hidden;
        background: #FBF5F0;
    }

    .footer .footer__inner {
        flex-direction: column;
        align-items: stretch;
        gap: 150px;
        margin-bottom: 35px;
    }

    .footer .footer__address {
        position: relative;
        z-index: 1;
        align-self: flex-start;
        text-align: left;
    }

    .footer .footer__address::before {
        content: '';
        position: absolute;
        top: -80px;
        bottom: -80px;
        left: calc(-1 * var(--layout-inline-margin));
        width: 400px;
        background: white;
        clip-path: polygon(0 0, 200px 0, 400px 50%, 200px 100%, 0 100%);
        z-index: -1;
        pointer-events: none;
    }

    .footer .footer__nav {
        align-self: flex-end;
    }
}
